com.io7m.smfj.cmdline

## Enum SMFLogLevel

- java.lang.Object
- - java.lang.Enum<SMFLogLevel>
  - - com.io7m.smfj.cmdline.SMFLogLevel

- All Implemented Interfaces:
    Serializable, Comparable<SMFLogLevel>

      public enum SMFLogLevel
      extends Enum<SMFLogLevel>

  Log level.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOG_DEBUG`
    `LOG_ERROR`
    `LOG_INFO`
    `LOG_TRACE`
    `LOG_WARN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `toString()`
    `static SMFLogLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SMFLogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOG_TRACE

          public static final SMFLogLevel LOG_TRACE

      See Also:
        `Level.TRACE`

    - #### LOG_DEBUG

          public static final SMFLogLevel LOG_DEBUG

      See Also:
        `Level.DEBUG`

    - #### LOG_INFO

          public static final SMFLogLevel LOG_INFO

      See Also:
        `Level.INFO`

    - #### LOG_WARN

          public static final SMFLogLevel LOG_WARN

      See Also:
        `Level.WARN`

    - #### LOG_ERROR

          public static final SMFLogLevel LOG_ERROR

      See Also:
        `Level.ERROR`

  - ### Method Detail

    - #### values

          public static SMFLogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SMFLogLevel c : SMFLogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SMFLogLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<SMFLogLevel>`

    - #### getName

          public String getName()

      Returns:
        The short name of the level

Copyright © 2017 <code@io7m.com> http://io7m.com